/**
 * @author student
/*******************************************************************************
 * Copyright (c) 2003 Clearfield Knowledge Solutions.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.k.co.nz/
 *******************************************************************************/
/** 
 * Copyright: Copyright (c) 2003
 * Company  : Clearfield Knowledge Solutions
 * @author  : Student
 * @version : 1.0
 * Date Created : Jul 8, 2003
 * Title : JavaBean.Address_Data.java
 * Desprition : This JavaBean class is responsible for getting and setting
 * properties related to Customer Address Data .
 * 
 */

package JavaBeans;

/**
 * @author student
 *
 * This class is being used as a JavaBean to hold all the address data.
 * 
 */
public class Address_Data {

	private String email;
	private String street;
	private String city;
	private String floor;
	private String building;
	private String office;
	private String phoneNumber;

	/**
	 * This is an empty constructor for Address_Data.java
	 */
	public Address_Data() {	}

	/**
	 * This is the constructor for Address_Data.java
	 */
	public Address_Data(
		String eMail,
		String street,
		String city,
		String floor,
		String building,
		String office,
		String phoneNumber) {
		this.email = eMail;
		this.street = street;
		this.city = city;
		this.floor = floor;
		this.building = building;
		this.office = office;
		this.phoneNumber = phoneNumber;
	}

	
	/**
	 * This method is being used to set Email field.
	 * @param eMail Email address.
	 * @return void
	 */
	public void setEmail(String eMail) {
		this.email = eMail;
	}
	
	
	/**
	 * This method is being used for setting the street field.
	 * @param street Street name, number.
	 * @return void
	 */
	public void setStreet(String street) {
		this.street = street;
	}
	
	
	/**
	 * This method is being used for setting the city field.
	 * @param city City.
	 * @return void
	 */
	public void setCity(String city) {
		this.city = city;
	}
	
	
	/**
	 * This method is being used for setting the floor field.
	 * @param floor Floor.
	 * @return void
	 */
	public void setFloor(String floor) {
		this.floor = floor;
	}
	
	
	/**
	 * This method is being used for setting the building field.
	 * @param building Building.
	 * @return void
	 */
	public void setBuilding(String building) {
		this.building = building;
	}
	
	
	/**
	 * This method is being used for setting the office field.
	 * @param office Office.
	 * @return void
	 */
	public void setOffice(String office) {
		this.office = office;
	}
	
	
	/**
	 * This method is being used for setting the phone number field.
	 * @param phoneNumber Phone number. 
	 * @return void
	 */
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	
	/**
	 * This method is being used for getting the email field.
	 * @return String The email address.
	 */
	public String getEmail() {
		return this.email;
	}
	

	/**
	 * This method is being used for getting the street field.
	 * @return String Street.
	 */
	public String getStreet() {
		return this.street;
	}
	
	
	/**
	 * This method is being used for getting the city field.
	 * @return String City.
	 */
	public String getCity() {
		return this.city;
	}
	
	
	/**
	 * This method is being used for getting the floor field.
	 * @return String Floor.
	 */
	public String getFloor() {
		return this.floor;
	}
	
	/**
	 * This method is being used for getting the building field.
	 * @return String Building.
	 */
	public String getBuilding() {
		return this.building;
	}
	
	
	/**
	 * This method is being used for getting the office field.
	 * @return String Office.
	 */
	public String getOffice() {
		return this.office;
	}
	
	
	/**
	 * This method is being used for getting the phone number field.
	 * @return String Phone number.
	 */
	public String getPhoneNumber() {
		return this.phoneNumber;
	}

}
